Bug 910040 - (CVE-2013-0272) CVE-2013-0272 pidgin: MXit protocol stack-based buffer overflow when processing HTTP headers
CVE-2013-0272 pidgin: MXit protocol stack-based buffer overflow when processi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130213,repor...
: Security
Depends On: 910651 910652 910653 910654 910826
Blocks: 909372
  Show dependency treegraph
 
Reported: 2013-02-11 11:49 EST by Jan Lieskovsky
Modified: 2016-03-04 06:39 EST (History)
3 users (show)

See Also:
Fixed In Version: pidgin 2.10.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 12:54:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Local copy of (by Pidgin upstream) proposed patch to fix the CVE-2013-0272 issue (923 bytes, patch)
2013-02-11 12:00 EST, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2013-02-11 11:49:16 EST
A stack-based buffer overflow flaw was found in the way MXit protocol plug-in of libPurple processed certain HTTP headers data. A rogue server or remote attacker could send a specially-crafted HTTP request that, when processed by the Pidgin client, would lead to pidgin executable crash or, potentially, arbitrary code execution with the privileges of the user running the pidgin binary.

Upstream ticket:
[1] http://pidgin.im/news/security/?id=66
Comment 2 Jan Lieskovsky 2013-02-11 12:00:04 EST
Created attachment 696215 [details]
Local copy of (by Pidgin upstream) proposed patch to fix the CVE-2013-0272 issue
Comment 3 Jan Lieskovsky 2013-02-11 12:01:06 EST
This issue affects the versions of the pidgin package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the pidgin package, as shipped with Fedora release of 16, 17, and 18.
Comment 7 Jan Lieskovsky 2013-02-13 11:27:17 EST
Created pidgin tracking bugs for this issue

Affects: fedora-all [bug 910826]
Comment 8 Vincent Danen 2013-02-13 14:34:41 EST
External References:

http://www.pidgin.im/news/security/?id=66
Comment 9 Huzaifa S. Sidhpurwala 2013-03-04 00:54:21 EST
Upstream patch:

http://hg.pidgin.im/pidgin/main/rev/879db2a9a59c
Comment 10 Huzaifa S. Sidhpurwala 2013-03-04 01:21:02 EST
Analysis:

There are two parts to the patch, the first part just null terminates buf and the second one actually prevents the buffer overflow.

buf is on the stack and is defined as "char buf[256]" also looking at the disassemble i find the following:

   0x0000a1c0 <+1168>:	call   0x17ed0 <__stack_chk_fail_local>

There are no other strings in the function, so based on above i am going to assume that the function is protected by SSP
Comment 12 Huzaifa S. Sidhpurwala 2013-03-04 04:05:34 EST
Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Daniel Atallah as the original reporter.
Comment 14 errata-xmlrpc 2013-03-14 12:50:45 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0646 https://rhn.redhat.com/errata/RHSA-2013-0646.html

Note You need to log in before you can comment on or make changes to this bug.